PHP Manual
Prev |  | Next

# dbplus_add

(4.1.0 - 4.2.3 only, PECL)

dbplus_add -- Add a tuple to a relation

## Description

int dbplus_add ( resource relation, array tuple )

Adds a tuple to a `relation`.

## Parameters

`relation`

`tuple`

  An array of attribute/value pairs to be inserted into the given `relation`.

  After successful execution this array will contain the complete data of the newly created tuple, including all implicitly set domain fields like sequences.

## Return Values

The function will return `DBPLUS_ERR_NOERR` on success or a db++ error code on failure.

## Notes

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

## See Also

dbplus_errcode()

Prev | Home | Next
DB++ Functions | Up | dbplus_aql